cURL
curl --request GET \ --url https://api.cal.com/v2/oauth-clients/{clientId} \ --header 'Authorization: <authorization>'
{ "status": "success", "data": { "id": "clsx38nbl0001vkhlwin9fmt0", "name": "MyClient", "secret": "secretValue", "permissions": [ "BOOKING_READ", "BOOKING_WRITE" ], "redirectUris": [ "https://example.com/callback" ], "organizationId": 1, "createdAt": "2024-03-23T08:33:21.851Z", "areEmailsEnabled": true, "areDefaultEventTypesEnabled": true, "areCalendarEventsEnabled": true, "logo": "https://example.com/logo.png", "bookingRedirectUri": "https://example.com/booking-redirect", "bookingCancelRedirectUri": "https://example.com/booking-cancel", "bookingRescheduleRedirectUri": "https://example.com/booking-reschedule" } }
Documentation IndexFetch the complete documentation index at: https://cal.com/docs/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://cal.com/docs/llms.txt
Use this file to discover all available pages before exploring further.
value must be Bearer <token> where <token> is api key prefixed with cal_
Bearer <token>
<token>
success
error
"success"
Show child attributes
Was this page helpful?